Skip to main content

Suggests

OpenAPI Specification

Autocomplete (3.0)

2GIS API Support: api@2gis.ru URL: https://docs.2gis.com/

Autocomplete

Getting a collection of suggested objects

Returns a collection of objects that match the user input.

query Parameters
key
required
string

Unique key of API user.

locale
string
Examples:
  • locale=ar_AE - Arabic for the UAE
  • locale=ru_RU - Russian for Russia

The locale from which the search is performed and the results are given.
List of available locales:

  • az_AZ — Azerbaijani (Azerbaijan);
  • ru_AZ — Russian (Azerbaijan);
  • hy_AM — Armenian (Armenia);
  • ru_AM — Russian (Armenia);
  • ar_BH — Arabic (Bahrain);
  • en_BH — English (Bahrain);
  • ru_BY — Russian (Belarus);
  • ka_GE — Georgian (Georgia);
  • ru_GE — Russian (Georgia);
  • en_EG — English (Egypt);
  • ar_EG — Arabic (Egypt);
  • it_IT — Italian (Italy);
  • en_IQ — English (Iraq);
  • ar_IQ — Arabic (Iraq);
  • kk_KZ — Kazakh (Kazakhstan);
  • ru_KZ — Russian (Kazakhstan);
  • en_QA — English (Qatar);
  • ar_QA — Arabic (Qatar);
  • en_CY — English (Cyprus);
  • es_CL — Spanish (Cyprus);
  • ky_KG — Kyrgyz (Kyrgyzstan);
  • ru_KG — Russian (Kyrgyzstan);
  • en_CN — English (China);
  • zh_CN — Chinese (China);
  • ru_CN — Russian (China);
  • en_KW — English (Kuwait);
  • ar_KW — Arabic (Kuwait);
  • en_MA — English (Morocco);
  • ar_MA — Arabic (Morocco);
  • mn_MN — Mongolian (Mongolia);
  • en_MN — English (Mongolia);
  • en_AE — English (UAE);
  • ar_AE — Arabic (UAE);
  • en_OM — English (Oman);
  • ar_OM — Arabic (Oman);
  • en_RU — English (Russia);
  • ar_RU — Arabic (Russia);
  • es_RU — Spanish (Russia);
  • it_RU — Italian (Russia);
  • ru_RU — Russian (Russia);
  • cs_RU — Czech (Russia);
  • en_SA — English (Saudi Arabia);
  • ar_SA — Arabic (Saudi Arabia);
  • ru_TJ — Russian (Tajikistan);
  • tg_TJ — Tajik (Tajikistan);
  • ru_UZ — Russian (Uzbekistan);
  • uz_UZ — Uzbek (Uzbekistan);
  • cs_CZ — Czech (Czech Republic).

q
required
string [ 1 .. 500 ] characters

An arbitrary search string.

fields
Array of strings
Examples:
  • fields=items.region_id,items.name_ex - An example of multiple types
  • fields=items.region_id - An example of a single type

Additional fields to be displayed in the response should be separated by commas. Fields labeled additional permission for the API key is required will be present in the output only if the key has permissions for that field. By default, the key does not have any of these additional permissions.
The list of fields containing information on geometry and address of the place:

  • items.point — object coordinates, specified in the WGS84 in the lon, lat format;
  • items.address — address where the object is located;
  • items.adm_div — belonging to an administrative territory;
  • items.full_address_name — object address with indication of a city;
  • items.geometry.centroid — visual center of object geometry;
  • items.geometry.hover — geometry of the area used to determine whether the cursor is in the object zone;
  • items.geometry.selection — geometry for object selection;

The list of fields with additional information on the place:
  • items.rubrics — categories of the company;
  • items.org — a company to which the branch belongs;
  • items.schedule — opening hours of the company;
  • items.schedule_special — special company schedule;
  • items.access_comment — localized name for the type of access;
  • items.access — access type for a parking lot;
  • items.capacity — parking lot capacity;
  • items.description — map object description;
  • items.flags — a list of object attributes. For example, whether the object has photos or the branch is temporarily closed. The list of available attributes can be found in the response schema inside items;
  • items.floors — the number of floors (additional permission for the API key is required);
  • items.floor_plans — floor plans (additional permission for the API key is required);
  • items.is_paid — whether the parking facility is chargeable or not;
  • items.for_trucks — truck parking;
  • items.paving_type — type of parking paving;
  • items.is_incentive — whether this parking is intercepting;
  • items.purpose — purpose of parking lot;
  • items.level_count — the number of parking facility levels;
  • items.name_ex — components of the object name;
  • items.reviews — statistics on reviews about the object;
  • items.employees_org_count — the number of employees of the organization (additional permission for the API key is required);
  • items.itin — the individual taxpayer number (additional permission for the API key is required);
  • items.trade_license — the branch license (additional permission for the API key is required);
  • items.fias_code — FIAS code of streets and administrative territories (additional permission for the API key is required);
  • items.address.components.fias_code — FIAS code of buildings (additional permission for the API key is required);
  • items.fns_code — FNS code of administrative territories (additional permission for the API key is required);
  • items.okato — OKATO code of streets and administrative territories (additional permission for the API key is required);
  • items.address.components.okato — OKATO code of buildings (additional permission for the API key is required);
  • items.oktmo — OKTMO code of streets and administrative territories (additional permission for the API key is required);
  • items.address.components.oktmo — OKTMO code of buildings (additional permission for the API key is required);

The list of service fields:
  • items.context — dynamic information;
  • items.dates.deleted_at — date when the organization was deleted from the database in ISO 8601 format;
  • items.dates.updated_at — date of the last organization data update in ISO 8601 format;
  • items.dates — time when the company information was added to the database;
  • items.geometry.style — style ID for display;
  • items.group — objects combined into a single card;
  • items.metarubrics — metarubrics for returning organizations in a hybrid object;
  • items.is_main_in_group — a flag indicating that this is the main object in a hybrid group;
  • items.city_alias — alias of the city where the object is located;
  • items.detailed_subtype — detailed type of the administrative-territorial unit;
  • items.alias — transliterated object name;
  • items.caption — object name;
  • items.routes — transport routes passing through the station or stop;
  • items.directions — route directions;
  • items.barrier — type of barrier;
  • items.is_routing_available — whether routing to the object is available;
  • items.entrance_display_name — show metro entrance number if the object is a station entrance (station_entrance);
  • items.locale — current locale for the region;
  • items.region_id — unique project identifier;
  • items.segment_id — unique segment identifier;
  • items.stop_factors — set of blocking attributes matching the query;
  • items.timezone — timezone in POSIX format;
  • items.timezone_offset — timezone offset in minutes relative to UTC0;
  • items.comment — entrance comment;
  • items.station_id — unique identifier of the stop to which the platform belongs;
  • items.platforms — stop platforms;
  • items.sources — identifier of the object data source;
  • items.structure_info.material — building material data (additional permission for the API key is required);
  • items.structure_info.apartments_count — apartment count data for the building (additional permission for the API key is required);
  • items.structure_info.porch_count — entrance count data for the building (additional permission for the API key is required);
  • items.structure_info.floor_type — floor type data for the building (additional permission for the API key is required);
  • items.structure_info.gas_type — gas supply type for the building (additional permission for the API key is required);
  • items.structure_info.year_of_construction — year of construction (additional permission for the API key is required);
  • items.structure_info.elevators_count — elevator count in the building (additional permission for the API key is required);
  • items.structure_info.is_in_emergency_state — whether the building is recognized as emergency housing (additional permission for the API key is required);
  • items.structure_info.project_type — building series/project type (additional permission for the API key is required);
  • items.structure_info.chs_name — cultural heritage site name (additional permission for the API key is required);
  • items.structure_info.chs_category — cultural heritage site category (additional permission for the API key is required);
  • items.route_logo — metro icon;
  • items.is_deleted — deleted object flag;
  • items.search_attributes — search result parameters for the found object. Each field inside items.search_attributes must be requested separately via dot notation, for example items.search_attributes.segment_id. The list of available fields inside items.search_attributes can be found in the response schema for any object inside items;
  • items.congestion — branch congestion;
  • items.poi_category — POI category;
  • items.links — linked objects (nearest parking lots, public transport stops, and others);
  • items.links.database_entrances — information about entry points (additional permission for the API key is required);
  • items.links.database_entrances.apartments_info — information about apartments in the building (additional permission for the API key is required);
  • items.purpose_code — building purpose code;
  • items.ads.options — advertising options;
  • search_attributes — information about the performed search;
  • items.name_back — localized name for a road sign in the reverse direction, if available;
  • items.value_back — reverse-direction kilometer number for a road sign;
  • items.marker_alt — relative marker placement height;
  • items.search_query — search query substituted into the search box to form the result list (available only for objects of type metarubric);
  • items.tag — unique lowercase name for a rubric (available for objects of type metarubric);
  • items.suggest_icon — icon for suggestion output (available for objects of type rubric);
  • items.has_ads_model — flag indicating the presence of an advertising 3D model in the building;
  • items.settlements_group_name — settlement name;
  • items.sport_route_type_name — sports route type;
  • items.seasonal — seasonal attribute of a tourist route;
  • items.source_url — source URL for route information;
  • items.geo_attributes — additional route attributes;

type
Array of strings
Examples:
  • type=org,discount - An example of multiple types
  • type=org - An example of a single type

The types of objects among which the search is performed. When passing several types, less relevant results of some types may be crowded out by more relevant other types. The types should be comma separated.
The list of available types:

  • adm_div.district — district;
  • adm_div.district_area — district area;
  • adm_div.settlement — settlement;
  • adm_div.city — city;
  • adm_div.country — country;
  • adm_div.region — region (region/province/republic, etc.);
  • adm_div.place — place;
  • adm_div.living_area — neighborhood, residential community;
  • adm_div.division — area;
  • adm_div.amana — amana;
  • building — building;
  • station — stop;
  • street — street;
  • attraction — attraction;
  • crossroad — intersection;
  • station.metro — metro station;
  • station_entrance;
  • branch — company branch office;
  • rubric — category;
  • meta_rubric — metacategory;
  • attribute — additional attribute;
  • route — route;
  • route_type — route type;
  • road — road;
  • parking — parking lot;
  • org — company;
  • coordinates — global coordinate;
  • coordinates_additional — additional global coordinate;
  • special — special;
  • market.category — product categories. Requires market.suggestor_category;
  • market.suggestor_category — required to open product categories;
  • market.attribute — product names;
  • market.brand — products brand;
  • kilometer_road_sign — kilometer road sign;
  • road.touristic — tourist routes;
  • friend — friends.

The list of available subtypes (subtype) for different types of objects can be viewed in the response schema inside items.

suggest_type
string
Default: "object"
Example: suggest_type=route_endpoint

The type of tips to use. Available types:

  • route_endpoint — perfect for a quick search of final objects of the route. All the results have id and coordinates;
  • rubric — category tips;
  • places - place tips;
  • address - address tips;
  • global_address — alias of address. Deprecated type, you need to use address instead;
  • city_selector — settlement suggests. Can be used without specifying a project;
  • object — tips on directory objects (categories, companies, streets, cities, etc.);
  • default - used by default (object).

region_id
integer

Region identifier. It is required if a geographical limit of search has not been specified. Details about the territorial division of the map into regions can be found in the description of the Regions API.

location
string
Examples:
  • location=82.921663,55.030195 - Longitude and latitude

User location (coordinate format: lon, lat).

viewpoint1
string
Examples:
  • viewpoint1=82.921663,55.030195 - Longitude and latitude

The coordinates of the upper left vertex of a rectangular visibility scope, in the lon, lat format. The parameters viewpoint 1 and viewpoint 2 transmit the area of the map where the user looked before entering the request. It is used as one of the criteria for choosing where results are needed and for ranking. Does not strictly restrict the search results to the transmitted area only.

viewpoint2
string
Examples:
  • viewpoint2=82.921663,55.030195 - Longitude and latitude

The coordinates of the lower right vertex of a rectangular visibility scope, in the lon, lat format. The viewpoint1 and viewpoint2 parameters pass the map area where the user looked before entering the request. It is used as one of the criteria for choosing where results are needed and for ranking. Does not strictly restrict the search results to the transmitted area only.

page_size
integer [ 1 .. 100 ]
Default: 10

Number of search results displayed on one page.

search_is_query_text_complete
boolean

Specifying to the search engine that the request is complete (the user has pressed the completion button). Disables the prefix, i.e. "bank" will not be searched "banking".

search_nearby
boolean

Specifying the search engine to use search mode near the user. Greatly increases the importance of distance from the user. Popularity, advertising and other parameters are still involved in the ranking, but to a lesser extent.

search_input_method
string

Specifying the method for entering the query text to the search engine:

  • hardware_qwerty_keyboard — physical QWERTY keyboard
  • on_screen_keyboard — touch screen keyboard
  • voice — voice input
  • hand_writing — handwriting input
  • scanning — input that is used by people with disabilities. Using your finger or eye movements
  • software_generated — software-generated text
  • ʻother` — other input types
search_territory_of_interest
string
Example: search_territory_of_interest=MULTIPOLYGON (((87.17 53.75, 87.1789 53.75, 87.17 53.755, 87.177 53.75)))

A weak search engine restriction has been established for searching for objects in the region: a penalty for missing matches instead of a strict rejection. However, there is no advertising outside of TOI. The WKT format is required.

Responses

Response Schema: application/json
required
object (ObjMeta)

Response metadata

required
object

Main result

Response samples

Content type
application/json
{
  • "meta": {
    • "code": 200,
    • "api_version": "dev",
    • "issue_date": "string"
    },
  • "result": {
    • "total": 1,
    • "items": [
      ],
    • "search_attributes": {
      }
    }
}

Getting a collection of suggested objects

Returns a collection of objects that match the user input.

query Parameters
key
required
string

Unique key of API user.

locale
string
Examples:
  • locale=ar_AE - Arabic for the UAE
  • locale=ru_RU - Russian for Russia

The locale from which the search is performed and the results are given.
List of available locales:

  • az_AZ — Azerbaijani (Azerbaijan);
  • ru_AZ — Russian (Azerbaijan);
  • hy_AM — Armenian (Armenia);
  • ru_AM — Russian (Armenia);
  • ar_BH — Arabic (Bahrain);
  • en_BH — English (Bahrain);
  • ru_BY — Russian (Belarus);
  • ka_GE — Georgian (Georgia);
  • ru_GE — Russian (Georgia);
  • en_EG — English (Egypt);
  • ar_EG — Arabic (Egypt);
  • it_IT — Italian (Italy);
  • en_IQ — English (Iraq);
  • ar_IQ — Arabic (Iraq);
  • kk_KZ — Kazakh (Kazakhstan);
  • ru_KZ — Russian (Kazakhstan);
  • en_QA — English (Qatar);
  • ar_QA — Arabic (Qatar);
  • en_CY — English (Cyprus);
  • es_CL — Spanish (Cyprus);
  • ky_KG — Kyrgyz (Kyrgyzstan);
  • ru_KG — Russian (Kyrgyzstan);
  • en_CN — English (China);
  • zh_CN — Chinese (China);
  • ru_CN — Russian (China);
  • en_KW — English (Kuwait);
  • ar_KW — Arabic (Kuwait);
  • en_MA — English (Morocco);
  • ar_MA — Arabic (Morocco);
  • mn_MN — Mongolian (Mongolia);
  • en_MN — English (Mongolia);
  • en_AE — English (UAE);
  • ar_AE — Arabic (UAE);
  • en_OM — English (Oman);
  • ar_OM — Arabic (Oman);
  • en_RU — English (Russia);
  • ar_RU — Arabic (Russia);
  • es_RU — Spanish (Russia);
  • it_RU — Italian (Russia);
  • ru_RU — Russian (Russia);
  • cs_RU — Czech (Russia);
  • en_SA — English (Saudi Arabia);
  • ar_SA — Arabic (Saudi Arabia);
  • ru_TJ — Russian (Tajikistan);
  • tg_TJ — Tajik (Tajikistan);
  • ru_UZ — Russian (Uzbekistan);
  • uz_UZ — Uzbek (Uzbekistan);
  • cs_CZ — Czech (Czech Republic).

q
required
string [ 1 .. 500 ] characters

An arbitrary search string.

fields
Array of strings
Examples:
  • fields=items.region_id,items.name_ex - An example of multiple types
  • fields=items.region_id - An example of a single type

Additional fields to be displayed in the response should be separated by commas. Fields labeled additional permission for the API key is required will be present in the output only if the key has permissions for that field. By default, the key does not have any of these additional permissions.
The list of fields containing information on geometry and address of the place:

  • items.point — object coordinates, specified in the WGS84 in the lon, lat format;
  • items.address — address where the object is located;
  • items.adm_div — belonging to an administrative territory;
  • items.full_address_name — object address with indication of a city;
  • items.geometry.centroid — visual center of object geometry;
  • items.geometry.hover — geometry of the area used to determine whether the cursor is in the object zone;
  • items.geometry.selection — geometry for object selection;

The list of fields with additional information on the place:
  • items.rubrics — categories of the company;
  • items.org — a company to which the branch belongs;
  • items.schedule — opening hours of the company;
  • items.schedule_special — special company schedule;
  • items.access_comment — localized name for the type of access;
  • items.access — access type for a parking lot;
  • items.capacity — parking lot capacity;
  • items.description — map object description;
  • items.flags — a list of object attributes. For example, whether the object has photos or the branch is temporarily closed. The list of available attributes can be found in the response schema inside items;
  • items.floors — the number of floors (additional permission for the API key is required);
  • items.floor_plans — floor plans (additional permission for the API key is required);
  • items.is_paid — whether the parking facility is chargeable or not;
  • items.for_trucks — truck parking;
  • items.paving_type — type of parking paving;
  • items.is_incentive — whether this parking is intercepting;
  • items.purpose — purpose of parking lot;
  • items.level_count — the number of parking facility levels;
  • items.name_ex — components of the object name;
  • items.reviews — statistics on reviews about the object;
  • items.employees_org_count — the number of employees of the organization (additional permission for the API key is required);
  • items.itin — the individual taxpayer number (additional permission for the API key is required);
  • items.trade_license — the branch license (additional permission for the API key is required);
  • items.fias_code — FIAS code of streets and administrative territories (additional permission for the API key is required);
  • items.address.components.fias_code — FIAS code of buildings (additional permission for the API key is required);
  • items.fns_code — FNS code of administrative territories (additional permission for the API key is required);
  • items.okato — OKATO code of streets and administrative territories (additional permission for the API key is required);
  • items.address.components.okato — OKATO code of buildings (additional permission for the API key is required);
  • items.oktmo — OKTMO code of streets and administrative territories (additional permission for the API key is required);
  • items.address.components.oktmo — OKTMO code of buildings (additional permission for the API key is required);

The list of service fields:
  • items.context — dynamic information;
  • items.dates.deleted_at — date when the organization was deleted from the database in ISO 8601 format;
  • items.dates.updated_at — date of the last organization data update in ISO 8601 format;
  • items.dates — time when the company information was added to the database;
  • items.geometry.style — style ID for display;
  • items.group — objects combined into a single card;
  • items.metarubrics — metarubrics for returning organizations in a hybrid object;
  • items.is_main_in_group — a flag indicating that this is the main object in a hybrid group;
  • items.city_alias — alias of the city where the object is located;
  • items.detailed_subtype — detailed type of the administrative-territorial unit;
  • items.alias — transliterated object name;
  • items.caption — object name;
  • items.routes — transport routes passing through the station or stop;
  • items.directions — route directions;
  • items.barrier — type of barrier;
  • items.is_routing_available — whether routing to the object is available;
  • items.entrance_display_name — show metro entrance number if the object is a station entrance (station_entrance);
  • items.locale — current locale for the region;
  • items.region_id — unique project identifier;
  • items.segment_id — unique segment identifier;
  • items.stop_factors — set of blocking attributes matching the query;
  • items.timezone — timezone in POSIX format;
  • items.timezone_offset — timezone offset in minutes relative to UTC0;
  • items.comment — entrance comment;
  • items.station_id — unique identifier of the stop to which the platform belongs;
  • items.platforms — stop platforms;
  • items.sources — identifier of the object data source;
  • items.structure_info.material — building material data (additional permission for the API key is required);
  • items.structure_info.apartments_count — apartment count data for the building (additional permission for the API key is required);
  • items.structure_info.porch_count — entrance count data for the building (additional permission for the API key is required);
  • items.structure_info.floor_type — floor type data for the building (additional permission for the API key is required);
  • items.structure_info.gas_type — gas supply type for the building (additional permission for the API key is required);
  • items.structure_info.year_of_construction — year of construction (additional permission for the API key is required);
  • items.structure_info.elevators_count — elevator count in the building (additional permission for the API key is required);
  • items.structure_info.is_in_emergency_state — whether the building is recognized as emergency housing (additional permission for the API key is required);
  • items.structure_info.project_type — building series/project type (additional permission for the API key is required);
  • items.structure_info.chs_name — cultural heritage site name (additional permission for the API key is required);
  • items.structure_info.chs_category — cultural heritage site category (additional permission for the API key is required);
  • items.route_logo — metro icon;
  • items.is_deleted — deleted object flag;
  • items.search_attributes — search result parameters for the found object. Each field inside items.search_attributes must be requested separately via dot notation, for example items.search_attributes.segment_id. The list of available fields inside items.search_attributes can be found in the response schema for any object inside items;
  • items.congestion — branch congestion;
  • items.poi_category — POI category;
  • items.links — linked objects (nearest parking lots, public transport stops, and others);
  • items.links.database_entrances — information about entry points (additional permission for the API key is required);
  • items.links.database_entrances.apartments_info — information about apartments in the building (additional permission for the API key is required);
  • items.purpose_code — building purpose code;
  • items.ads.options — advertising options;
  • search_attributes — information about the performed search;
  • items.name_back — localized name for a road sign in the reverse direction, if available;
  • items.value_back — reverse-direction kilometer number for a road sign;
  • items.marker_alt — relative marker placement height;
  • items.search_query — search query substituted into the search box to form the result list (available only for objects of type metarubric);
  • items.tag — unique lowercase name for a rubric (available for objects of type metarubric);
  • items.suggest_icon — icon for suggestion output (available for objects of type rubric);
  • items.has_ads_model — flag indicating the presence of an advertising 3D model in the building;
  • items.settlements_group_name — settlement name;
  • items.sport_route_type_name — sports route type;
  • items.seasonal — seasonal attribute of a tourist route;
  • items.source_url — source URL for route information;
  • items.geo_attributes — additional route attributes;

type
Array of strings
Examples:
  • type=org,discount - An example of multiple types
  • type=org - An example of a single type

The types of objects among which the search is performed. When passing several types, less relevant results of some types may be crowded out by more relevant other types. The types should be comma separated.
The list of available types:

  • adm_div.district — district;
  • adm_div.district_area — district area;
  • adm_div.settlement — settlement;
  • adm_div.city — city;
  • adm_div.country — country;
  • adm_div.region — region (region/province/republic, etc.);
  • adm_div.place — place;
  • adm_div.living_area — neighborhood, residential community;
  • adm_div.division — area;
  • adm_div.amana — amana;
  • building — building;
  • station — stop;
  • street — street;
  • attraction — attraction;
  • crossroad — intersection;
  • station.metro — metro station;
  • station_entrance;
  • branch — company branch office;
  • rubric — category;
  • meta_rubric — metacategory;
  • attribute — additional attribute;
  • route — route;
  • route_type — route type;
  • road — road;
  • parking — parking lot;
  • org — company;
  • coordinates — global coordinate;
  • coordinates_additional — additional global coordinate;
  • special — special;
  • market.category — product categories. Requires market.suggestor_category;
  • market.suggestor_category — required to open product categories;
  • market.attribute — product names;
  • market.brand — products brand;
  • kilometer_road_sign — kilometer road sign;
  • road.touristic — tourist routes;
  • friend — friends.

The list of available subtypes (subtype) for different types of objects can be viewed in the response schema inside items.

suggest_type
string
Default: "object"
Example: suggest_type=route_endpoint

The type of tips to use. Available types:

  • route_endpoint — perfect for a quick search of final objects of the route. All the results have id and coordinates;
  • rubric — category tips;
  • places - place tips;
  • address - address tips;
  • global_address — alias of address. Deprecated type, you need to use address instead;
  • city_selector — settlement suggests. Can be used without specifying a project;
  • object — tips on directory objects (categories, companies, streets, cities, etc.);
  • default - used by default (object).

region_id
integer

Region identifier. It is required if a geographical limit of search has not been specified. Details about the territorial division of the map into regions can be found in the description of the Regions API.

location
string
Examples:
  • location=82.921663,55.030195 - Longitude and latitude

User location (coordinate format: lon, lat).

viewpoint1
string
Examples:
  • viewpoint1=82.921663,55.030195 - Longitude and latitude

The coordinates of the upper left vertex of a rectangular visibility scope, in the lon, lat format. The parameters viewpoint 1 and viewpoint 2 transmit the area of the map where the user looked before entering the request. It is used as one of the criteria for choosing where results are needed and for ranking. Does not strictly restrict the search results to the transmitted area only.

viewpoint2
string
Examples:
  • viewpoint2=82.921663,55.030195 - Longitude and latitude

The coordinates of the lower right vertex of a rectangular visibility scope, in the lon, lat format. The viewpoint1 and viewpoint2 parameters pass the map area where the user looked before entering the request. It is used as one of the criteria for choosing where results are needed and for ranking. Does not strictly restrict the search results to the transmitted area only.

polygon
string
Examples:
  • polygon=POLYGON((82.91259527206421 55.0614369017519,82.90572881698608 55.05902823221974,82.91521310806274 55.05580825372468,82.91259527206421 55.0614369017519)) - WKT format

Polygon in WKT format.
It is used to filter the results in an arbitrary area. The permissible area of the polygon is ~ 6 km^2. If the q parameter is passed, no restrictions are imposed. The parameter conflicts with the parameters point, point1, point2.

page_size
integer [ 1 .. 100 ]
Default: 10

Number of search results displayed on one page.

Request Body schema: application/json

Query in json format.

Array of objects

Personal records for the user with information about weight, etc.

Array
type
string
Enum: "home" "work" "favorites" "history" "personal_poi" "supposed_home" "supposed_work" "supposed_other"

The personal type of the object.

last_used
number <int64>

The last time Unix timestamp was used, in seconds.

probability
number [ 0 .. 1 ]

The probability that the source object is personal.

object

Full record identification = type + ID.

object

The point of result coordinates. If the object doesn't have its own point - the center of a segment where the object is located will be given.

count
integer

The number of accesses to the object during the period.

Responses

Response Schema: application/json
required
object (ObjMeta)

Response metadata

required
object

Main result

Request samples

Content type
application/json
{
  • "personal_records": [
    • {
      }
    ]
}

Response samples

Content type
application/json
{
  • "meta": {
    • "code": 200,
    • "api_version": "dev",
    • "issue_date": "string"
    },
  • "result": {
    • "total": 1,
    • "items": [
      ],
    • "search_attributes": {
      }
    }
}